@import "responsive";
@import "_colors";

:host ::ng-deep pr-home-menu {
  z-index: 9100;
  position: fixed;
  top: -500px;
  left: 20px;
  width: calc(100% - 20px * 2);
  transition: all 0.3s ease;
  @media (min-width: $big-screen) {
    display: none;
  }
  @media (max-width: $phone) {
    top: -540px;
  }
  &.active.sticky {
    top: 46px;
  }
  .categories {
    background: linear-gradient(
        0deg,
        rgba(255, 255, 255, 0.4),
        rgba(255, 255, 255, 0.4)
      ),
      rgba(252, 252, 252, 0.8);
    box-shadow: 6px 6px 12px rgba(150, 150, 150, 0.12),
      -3px -2px 12px rgba(255, 255, 255, 0.45),
      0px 4px 24px rgba(201, 201, 201, 0.25);
    border-radius: 0 0 8px 8px;
    opacity: 1 !important;
    transform: scale(1) !important;
    pr-menu-item .widget {
      opacity: 1 !important;
      transform: scale(1) !important;
    }
    pr-menu-item:not(.active) .widget {
      background: transparent !important;
    }
  }
}

:host ::ng-deep .sub-menu.unactive {
  @media (max-width: $big-screen) {
    opacity: 0;
  }
}
